#!/bin/sh

for n in "$@"; do case ${n%%=*} in
  data) _DATA="${n#data=}";;
  exec) _exec="${n#exec=}";;
  noerr) exec 2>&-;;
esac; done

[ -z "${_EXEC%/}" ] && _EXEC="$(realpath "${0%/*}")" || _EXEC="${_EXEC%/}"
[ -z "${_DATA%/}" ] && _DATA=. || _DATA="${_DATA%/}"

. "$_EXEC/cgilite/cgilite.sh"

FILTER="$(GET filter)"
ORDER="$(GET o |grep -m1 -axE 'firstname|lastname|bdate' || printf firstname)"
# LISTSIZE="$(COOKIE pagesize |grep -m1 -axE '[1-9][0-9]*' || printf 50)"
ITEM="$(PATH "${PATH_INFO#/}")"; ITEM="${ITEM#/}"
ACTION="$(GET a)"

if [ -d "${_EXEC}/${ITEM%%/*}" -a -x "${_EXEC}/${ITEM%%/*}/main.cgi" ]; then
  . "${_EXEC}/${ITEM%%/*}/main.cgi"
elif [ "$ITEM" = "style.css" ]; then
  . "$_EXEC/cgilite/file.sh"
  [ -r "$_DATA/$ITEM" ] && FILE "$_DATA/$ITEM" \
                        || FILE "$_EXEC/style.css"
# elif [ -d "${_EXEC}/${ITEM%%/*}" -a ! -x "${_EXEC}/$ITEM" ]; then
#   . "$_EXEC/cgilite/file.sh"
#   FILE "${_EXEC}/$ITEM"
else
  printf 'Status: 404 Not Found\r\nContent-Length: 0\r\n\r\n'
fi
